.search {
  --background: #ffffff;
  --text-color: #414856;
  --primary-color: #4f29f0;
  --border-radius: 10px;
  --width: 190px;
  --height: 55px;
  margin-top: 30px;
  background: var(--background);
  float: right;
  width: 50%;
  height: var(--height);
  position: relative;
  overflow: hidden;
  border-radius: var(--border-radius);
  box-shadow: 0 10px 30px rgba(65, 72, 86, 0.05);
  /* display: -webkit-box; */
  display: flex;
  /* -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center; */
  align-items: center;
}

.search input[type="text"] {
  position: relative;
  width: 90%;
  height: var(--height);
  color: var(--text-color);
  border: 0;
  box-sizing: border-box;
  outline: none;
  padding: 0 40px 0 20px;
  cursor: pointer;
  float: right;
}
.search input[type="text"]:focus {
  z-index: 0;
  opacity: 1;
  width: 90%;
  padding: 0 40px 0 20px;
}

.lens {
  font-size: 40px;
  z-index: 2;
  cursor: pointer;
}

.lens-rotale {
  text-align: center;
  float: left;
  transform: rotate(100deg);
  transition: 1.5s;
}

.lens-rotale:hover {
  text-align: center;
  float: left;
  transform: rotate(460deg);
  transition: 0.5s;
}

.arrowFromLeft {
  overflow: hidden;
  width: 150px;
  /* height: 100%;
  padding: 12px 30px; */
  border-radius: 6px;
  background-color: #4caf50;
  color: #fff;
  position: relative;
  text-align: center;
  margin-top: 5px;
}

.arrowFromLeft div {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.arrowFromLeft:hover span {
  transform: translateX(10px);
}

.arrowFromLeft:hover svg {
  opacity: 1;
  transform: translate(15px, -50%);
}

.arrowFromLeft span {
  display: inline-block;
  transition: transform 0.3s cubic-bezier(0.455, 0.03, 0.515, 0.955);
  display: table-cell;
  vertical-align: middle;
  height: 30px;
  width: 150px;
  padding: 13px 30px 10px 30px;
}

.arrowFromLeft svg {
  position: absolute;
  top: 50%;
  left: 10px;
  color: #fff;
  opacity: 0;
  transform: translate(-10px, -50%);
  transition: opacity 0.3s 0.05s cubic-bezier(0.455, 0.03, 0.515, 0.955),
    transform 0.3s 0.05s cubic-bezier(0.455, 0.03, 0.515, 0.955);
}

.card-group {
  margin-top: 30px;
  border-radius: 10px;
  background-color: #fff;
  width: 230px;
  height: 230px;
  box-shadow: 0 10px 30px rgba(65, 72, 86, 0.05);
  padding: 25px;
  float: left;
  margin: 10px 1.8%;
  cursor: pointer;
}

.card-group img {
  width: 70px;
  height: 70px;
  border: none;
  margin-bottom: 15px;
  background-color: #414856;
  border-radius: 50%;
}

.card-detail {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  word-wrap:break-word;
  width: 100%;
  text-overflow: ellipsis;
  color: #818181;
}

.card-group:hover{
  box-shadow: 0 10px 30px rgba(36, 40, 48, 0.24);
}

.div-425px{
  display: none;
}
.div-768px{
  display: none;
}

@media  screen and (max-width: 768px){
  .div-1024px{
    display: none;
  }
  .div-768px{
    display: table;
  }
  .div-425px{
  display: none;
}

}
@media  screen and (max-width: 426px){
  .div-1024px{
    display: none;
  }
  .div-425px{
    display: table;
  }
  .div-768px{
  display: none;
}
.card-group {
  margin-top: 30px;
  border-radius: 10px;
  background-color: #fff;
  width: 230px;
  height: 230px;
  box-shadow: 0 10px 30px rgba(65, 72, 86, 0.05);
  padding: 25px;
  float: left;
  margin: 10px 1.8%;
  cursor: pointer;
  align-items: center;
}
.search {
  --background: #ffffff;
  --text-color: #414856;
  --primary-color: #4f29f0;
  --border-radius: 10px;
  --width: 190px;
  --height: 55px;
  margin-top: 30px;
  background: var(--background);
  float: right;
  width: 100%;
  height: var(--height);
  position: relative;
  overflow: hidden;
  border-radius: var(--border-radius);
  box-shadow: 0 10px 30px rgba(65, 72, 86, 0.05);
  /* display: -webkit-box; */
  display: flex;
  /* -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center; */
  align-items: center;
}
.arrowFromLeft span {
  display: inline-block;
  transition: transform 0.3s cubic-bezier(0.455, 0.03, 0.515, 0.955);
  display: table-cell;
  vertical-align: middle;
  height: 30px;
  width: 150px;
  padding: 13px 30px 10px 30px;
}
}